API ReferenceUnified modelsUnified contacts

Get unified contact by ID

GET
/unified/contact/{unifiedContactId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

unifiedContactId*string

Response Body

application/json

curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/contact/string"
{
  "data": {
    "id": "contact_12345",
    "source_system": "hubspot",
    "source_system_img_url": "https://cdn.example.com/hubspot.png",
    "source_id": "hs_67890",
    "external_system_provider_id": "provider_002",
    "external_system_config_id": "config_xyz",
    "external_system_data": {
      "custom_field": "value"
    },
    "supporting_data_definition_id": "support_002",
    "email": "johndoe@thelinks.ai",
    "first_name": "John",
    "last_name": "Doe",
    "phone": "+123456789",
    "mobile_phone": "+123456789",
    "fax": "+123456789",
    "address": "123 Main St",
    "city": "Los Santos",
    "country": "USA",
    "state": "California",
    "zip": "90001",
    "position": "Manager",
    "is_primary": true,
    "unified_customer_id": "cust_12345",
    "source_system_customer_id": "sf_cust_67890",
    "local_was_deleted": true,
    "local_was_updated": true,
    "source_data_created_at": "2024-01-01T12:00:00Z",
    "is_active": true
  }
}
Empty